propellor-5.13: property-based host configuration management in haskell

Safe Haskell | Safe
Language | Haskell2010

Propellor.Types.Exception

Synopsis

- data StopPropellorException = StopPropellorException String

# Documentation

data StopPropellorException Source #

Normally when an exception is encountered while propellor is ensuring a property, the property fails, but propellor robustly continues on to the next property.

This is the only exception that will stop the entire propellor run, preventing any subsequent properties of the Host from being ensured. (When propellor is running in a container in a Host, this exception only stops the propellor run in the container; the outer run in the Host continues.)

You should only throw this exception when things are so badly messed up that it's best for propellor to not try to do anything else.

Constructors

StopPropellorException String |

#### Instances

Instances details

Show StopPropellorException Source # |
Instance details Defined in Propellor.Types.Exception Methods showsPrec :: Int -> StopPropellorException -> ShowS show :: StopPropellorException -> String showList :: [StopPropellorException] -> ShowS
Exception StopPropellorException Source # |
Instance details Defined in Propellor.Types.Exception Methods toException :: StopPropellorException -> SomeException # fromException :: SomeException -> Maybe StopPropellorException # displayException :: StopPropellorException -> String #